Subject: [bug#40835] [PATCH] Update to use panfrost for graphics hardware acceleration

From: Vagrant Cascadian <[email-masked]>
Date: Mon, 27 Apr 2020 15:48:29 -0700

On 2020-04-27, Brian Woodcox wrote:
>> On Apr 27, 2020, at 3:54 PM, Vagrant Cascadian <[email-masked]> wrote:
>>>> On Apr 27, 2020, at 12:15 PM, Vagrant Cascadian <[email-masked]> wrote:
>>>> On 2020-04-24, Brian Woodcox wrote:
>>>>> You need to edit the /boot/extlinux/extlinux.conf file on the SD card and alter the FDTDIR line.
>>>>> 
>>>>> I changed mine from
>>>>> 
>>>>> FDTDIR /gnu/store/ls1byzmapi911cylh4s6044x0cmc61c8-linux-libre-pinebook-pro-5.6.0/lib/dtbs
>>>>> 
>>>>> to
>>>>> 
>>>>> FDTDIR /gnu/store/ls1byzmapi911cylh4s6044x0cmc61c8-linux-libre-pinebook-pro-5.6.0/lib/dtbs/rockchip
>>>> 
>>>> The u-boot-pinebook-pro-rk3399 on guix master works correctly as well as
>>>> the one from wip-pinebook-pro (should be the same).
>> 
>> Oops, my bad. I've been merging master and core-updates locally and
>> forgot the status of wip-pinebook-pro... I think I was waiting for the
>> core-updates merge, but it's probably worth merging master just to get
>> the updated u-boot-pinebook-pro-rk3399 based more closely on upstream
>> u-boot!
>
> I would be happy to test that out when done!

Will keep you posted. Once I've merged that, maybe you can rebase your
patch into a patch series?

>>>>> diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
>>>>> index 8696dc4bb6..a1e7684964 100644
>>>>> --- a/gnu/packages/qt.scm
>>>>> +++ b/gnu/packages/qt.scm
>>>>> @@ -15,6 +15,7 @@
>>>>> ;;; Copyright © 2018 John Soo <[email-masked]>
>>>>> ;;; Copyright © 2020 Mike Rosset <[email-masked]>
>>>>> ;;; Copyright © 2020 Jakub Kądziołka <[email-masked]>
>>>>> +;;; Copyright © 2020 Brian C. Woodcox <[email-masked]>
>>>>> ;;;
>>>>> ;;; This file is part of GNU Guix.
>>>>> ;;;
>>>>> @@ -485,6 +486,7 @@ developers using C++ or QML, a CSS & JavaScript like language.")
>>>>>                 "-no-compile-examples"
>>>>>                 ;; Most "-system-..." are automatic, but some use
>>>>>                 ;; the bundled copy by default.
>>>>> +                 "-opengl" "es2"
>>>>>                 "-system-sqlite"
>>>>>                 "-system-harfbuzz"
>>>>>                 "-system-pcre"
>>>> 
>>>> This might break some things where a different opengl is the default,
>>>> some architectures or platforms may require a different opengl
>>>> implementation.
>>>> 
>>>> I seem to recall some conversations in Debian about the complexities
>>>> around which opengl to enable per-architecture or per-platform or ... a
>>>> complicated matrix of concerns.
>>> 
>>> Open to suggestions.
>> 
>> From what I remember there were no *good* options; to fix things for one
>> platforms, you break things for another. In guix it might be slightly
>> better off in that you can have variant pacakges more easily, though for
>> libraries this would mean variants for everything that uses it,
>> too... :/
>
> From the different configuration files I’ve look at from other people,
> it appears the patch could be done when the system is configured.
> Does that sound like a better place to put it?
>
> I don’t know how else to keep things from getting messy.

Yeah, runtime detection is definitely the best option, if it's possible!